using Godot;
using System.Reflection;
using System.Collections.Generic;
using System.Text;

namespace Rokojori
{ 
  public class Gain:AudioEffectMono
  { 
    public readonly AudioStreamInput gain;

    public Gain( AudioGraph ag ): base( ag )
    {
      gain = new AudioStreamInput( this );
    }

    protected override void _ProcessAudio()
    {
      for ( int i = 0; i < bufferSize; i++ )
      { 
        output[ i ] = gain[ i ] * input[ i ];
      }
      
    }


  }

}